# Anarchy

Anarchy disables error checks for tools. 

For consistency within the community, please do not use this term to mean something else for C:SII.

## Dependencies
[Unified Icon Library](https://thunderstore.io/c/cities-skylines-ii/p/algernon/Unified_Icon_Library/)

[BepInExPack](https://thunderstore.io/c/cities-skylines-ii/p/BepInEx/BepInExPack/)

## Detailed Descrption
Currently it applies to these tools:
* Object Tool (For trees this mod doesn't give features of C:S1 Tree Anarchy, instead think Cross the Line).
* Net Tool
* Area Tool (Can exceed limits for specialized industry areas)
* Bulldoze Tool (Option to default Anarchy to ON when activated)
* Terrain Tool (Cross the line within playable area.)
* Upgrade Tool

You can activate anarchy with the keyboard shortcut "Ctrl+A" or with the optional tool icon that only appears while using the above tools.

You can tell anarchy is active using optional Flaming Chirper, the tool icon, or a tooltip.

The following errors will not occur while Anarchy is enabled:
* Overlap Existing
* Invalid Shape
* Long Distance
* Tight Curve
* Already Upgraded
* In Water
* No Water
* Exceeds City Limits (This provides Cross the line Functionality)
* Not On Shoreline
* Already Exists
* Short Distance
* Low Elevation
* Small Area
* Steep Slope
* Not On Border
* No Groundwater
* On Fire
* Exceeds Lot Limits (Editor Only)

If you find an error that you think should be added or if you find a tool that this should also be included, please let me know. 

## Disclaimer
This mod does NOT alter existing systems, tools, or UI other than disabling error checks therefore you cannot:
* Use the net tool to draw a bridge through a sea-lane clearance
* Trees cannot be added onto other objects or too close to each other.
* If the vanilla net tool would remove an existing network, it will still do that.
* Even if the mod disables the error check, the UI may still prevent you from doing something like placing a second copy of a unique building/upgrade.

**Please save frequently, in multiple files, and learn to use responsibly.**

## Support
I will respond on the code modding channels on [**Cities: Skylines modding Discord**](https://discord.gg/ZaH2zjtk).

## Credits 
* yenyang - Mod Author
* Chameleon TBN - Testing, Feedback, Icons, & Logo
* Bad Peanut - Image Credit for Flaming Chirper
* Algernon - Help with UI, Cooperative Development & Code Sharing
* T.D.W., Klyte45, krzychu124, & Quboid - Cooperative Development & Code Sharing
